{% load seawatch_registration_tags %}
{{ form.non_field_errors }}
<fieldset>
  <legend>Personal data</legend>
  <div class="fields">
    {% field form.first_name %}
    {% field form.last_name %}
    {% field form.phone_number %}
    {% field form.email %}
    {% field form.date_of_birth cls="narrow" %}
    {% field form.gender cls="narrow" tooltip="We are asking because we want to make sure to have a good mix on board our ships." %}
    <div class="field narrow planner-tooltip{% if form.gender.errors %} errors{% endif %}{% if field.field.required %} required{% endif %}"
         {% if field_styles %}style="{{ field_styles }}"{% endif %}>
      {{ field.label_tag }}
      {% if field.help_text %}<small>{{ field.help_text|safe }}</small>{% endif %}
      {{ field }}
      {{ field.errors }}
    </div>
    {% include "seawatch_registration/forms/field.html" with field=form.nationalities %}
    {% include "seawatch_registration/forms/field.html" with field=form.spoken_languages %}
  </div>
</fieldset>
<fieldset>
  <legend>Which positions are you applying for?</legend>
  <p>
    Our website contains an
    <a href="https://sea-watch.org/en/join-us/crew/">overview of positions on the ship.</a>
  </p>
  <div class="fields">
    <div class="field required">
      <label for="positions">Select positions</label>
      <multi-select name="positions" .options="${position_options}" required data-validation="required" @change="${(e) => (this.data = { ...this.data, positions: e.target.value })}"></multi-select>
    </div>
    <div class="field">
      <label for="certificates">Select certificates</label>
      <multi-select name="certificates" .options="${certificates_options}" @change="${(e) => this.certificatesChange(e)}"></multi-select>
      <input type="text"
             id="input_other_certificate"
             class="other-certificate"
             placeholder="Other certificate"
             aria-hidden="${!this.otherCertificateTextboxVisible}"
             @change="${(e) => (this.data = { ...this.data, other_certificate: e.target.value })}" />
    </div>
  </div>
</fieldset>
<fieldset>
  <legend>CV & Portfolio (mandatory for medics and media coordinators)</legend>
  <div class="fields">${cvField} ${homepageField}</div>
</fieldset>
<fieldset>
  <legend>Tell us about yourself</legend>
  <div class="fields">
    <div class="required field wide">
      <label for="motivation">Why do you want to work with Seawatch?</label>
      <textarea-counter name="motivation" id="motivation" maxlength="1000" placeholder="Tell us what motivates you to join a search and rescue NGO and why you chose Sea-Watch?" data-validation="required" @change="${(e) => (this.data = { ...this.data, motivation: e.target.value })}" required></textarea-counter>
    </div>
    <div class="required field wide">
      <label for="qualification">What qualifies you for the chosen position(s)?</label>
      <small>
        <b>Please refer to the position descriptions in your answer.</b>
        <br />
        A link to position descriptions for each position you selected above
        will be listed as buttons next to the text field.
      </small>
      <textarea-counter name="qualification" id="qualification" maxlength="1000" placeholder="Why are you qualified for the positions you apply for? Whats your Background, fitness level, disaster/SAR/NGO experience? If possible provide references and make sure you refer to the points that are mentioned under 'Profile' and 'Desired Skills' in the position description on our website. Use the buttons next to the text field to open the position descriptions." data-validation="required" .buttons="${this.data.positions.map((value) => { const { label, url } = position_options.find((position) => position.value === value) || {}; return { label, url }; })}" @change="${(e) => (this.data = { ...this.data, qualification: e.target.value, })}" required></textarea-counter>
    </div>
  </div>
</fieldset>
<div class="buttons">
  <input type="submit" class="button" ?disabled=${this.submitInProgress} value=${this.submitInProgress ? "Submitting..."
    : "Submit" } />
  </div>
